<?php
/* @var $modelFiles common\models\ThemeFiles */
/* @var $categoryFiles array */
?>
<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\bootstrap\Modal;
use yii\helpers\Url;

?>

<div class="customer-form">

    <?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data'], 'id' => 'dynamic-form']); ?>

    <div class="panel panel-default">
        <div class="panel-body">
            <table>
                <tr>
                    <th>File Name</th>
                    <th>Options</th>
                </tr>

                <?php foreach ($categoryFiles as $value) { ?>

                    <tr>
                        <td><?= $value['name'] ?></td>

                        <?php
                        $themeCode = $model->code;
                        $fileCode = $value['code'];
                        $modelFiles[0]->theme_code = $themeCode;
                        $modelFiles[0]->file_code = $fileCode;
                        if ($modelFiles[0]::isFileExist($themeCode, $fileCode)) { ?>

                            <td><?= 'edit' ?></td>

                        <?php } else { ?>

                            <td>

                                <?= Html::button('Upload File', [
                                    'class' => 'btn btn-default',
                                    'id' => 'modalButton' . $value['id'],
                                    'onclick' => 'uploadJquery.upload(' . $value['id'] . ');'
                                ]) ?>
                                <?php
                                Modal::begin([
                                    'header' => '<h3>Upload</h3>',
                                    'id' => 'modal' . $value['id'],
                                    'size' => 'modal-sm',
                                    //keeps from closing modal with esc key or by clicking out of the modal.
                                    // user must click cancel or X to close
                                ]);
                                ?>


                                <div id='modalContent' .<?= $value['id'] ?> style="align-content: center">

                                    <?= $this->render('upload', [
                                        'model' => $model,
                                        'modelFiles' => $modelFiles,
                                    ]) ?>

                                </div>

                                <?php

                                yii\bootstrap\Modal::end();
                                ?>

                            </td>


                        <?php } ?>

                    </tr>

                <?php } ?>

            </table>

        </div>
    </div>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
